%define qtdir qt3

Summary:	SuSE 8.1 KDE 3 Window Border
Name:		kwinSuSE-artwork
Version:	0.10
Release:	7rac
URL:		http://www.usermode.org/code.html
Source0:	%{name}-%{version}.tar.gz
Group:		User Interface/Desktops
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-root

Conflicts: libqt3 <= 3.0.5-1
Conflicts: kdebase <= 3.0.3-1

Autoreq: 0

BuildRequires: libqt3-devel >= 3.0.5-1
BuildRequires: kdebase-devel >= 3.0.3-1

PreReq: %{_libdir}/%{qtdir}

%description
SuSE 8.1 KDE 3 Window border

%prep

%setup -q

%build

export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt3 \
		    --disable-debug  \
		    --disable-static \
		    --enable-shared
		    
%make

%install

rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_datadir}/apps/kwin/SuSE.desktop
%{_datadir}/config/kwinSuSErc

%changelog
* Wed Dec 18 2002 Texstar <texstar@houston.rr.com>
- Add config/kwinSuSErc


* Tue Dec 17 2002 Patrick Girard <racoonzz@type-cast.com>
- First version of rpm
